org.apache.olingo.commons.api.format

## Enum PreferenceName

- java.lang.Object
- - java.lang.Enum<PreferenceName>
  - - org.apache.olingo.commons.api.format.PreferenceName

- All Implemented Interfaces:
    Serializable, Comparable<PreferenceName>

      public enum PreferenceName
      extends Enum<PreferenceName>

  Names of preferences defined in the OData standard.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_ENTITY_REFERENCES`
    `CALLBACK`
    `CONTINUE_ON_ERROR`
    `INCLUDE_ANNOTATIONS`
    `KEY_AS_SEGMENT`
    `MAX_PAGE_SIZE`
    `RESPOND_ASYNC`
    `RETURN`
    `RETURN_CONTENT`
    `RETURN_NO_CONTENT`
    `TRACK_CHANGES`
    `TRACK_CHANGES_PREF`
    `WAIT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `toString()`
    `static PreferenceName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PreferenceName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW_ENTITY_REFERENCES

          public static final PreferenceName ALLOW_ENTITY_REFERENCES

    - #### CALLBACK

          public static final PreferenceName CALLBACK

    - #### CONTINUE_ON_ERROR

          public static final PreferenceName CONTINUE_ON_ERROR

    - #### INCLUDE_ANNOTATIONS

          public static final PreferenceName INCLUDE_ANNOTATIONS

    - #### MAX_PAGE_SIZE

          public static final PreferenceName MAX_PAGE_SIZE

    - #### TRACK_CHANGES

          public static final PreferenceName TRACK_CHANGES

    - #### TRACK_CHANGES_PREF

          public static final PreferenceName TRACK_CHANGES_PREF

    - #### RETURN

          public static final PreferenceName RETURN

    - #### RESPOND_ASYNC

          public static final PreferenceName RESPOND_ASYNC

    - #### WAIT

          public static final PreferenceName WAIT

    - #### RETURN_CONTENT

          public static final PreferenceName RETURN_CONTENT

    - #### RETURN_NO_CONTENT

          public static final PreferenceName RETURN_NO_CONTENT

    - #### KEY_AS_SEGMENT

          public static final PreferenceName KEY_AS_SEGMENT

  - ### Method Detail

    - #### values

          public static PreferenceName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PreferenceName c : PreferenceName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PreferenceName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<PreferenceName>`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.